Skip to main content

GET /v1/orders/{id}/items

Scope​

read_orders

Request parameters​

NameInTypeRequiredDescription
idpathstringrequiredID of the target resource.

Response example​

{
"data": [
{
"id": "5001",
"item_id": "1",
"name": "string",
"sku": "string",
"variant": {
"id": "2",
"sku": "TS-001-WH-M",
"name": "白 / M"
},
"quantity": 2,
"unit_price": {
"amount": 3200,
"currency": "JPY"
},
"total_price": {
"amount": 3200,
"currency": "JPY"
}
}
]
}

Description​

List line items of an order

Error response example​

{
"error": {
"code": "insufficient_scope",
"message": "requires scope 'read_orders'",
"request_id": "req_01H..."
}
}

Possible errors: 401 / 403 / 404 / 429